View Bug Details

IDProjectCategoryView StatusLast Update
0000873DCP-o-matic[All Projects] Packagingpublic2016-07-04 14:08
ReportercarlAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2.9.0Fixed in Version2.9.0 
Summary0000873: Centos 5.3 package
Description

[]

TagsNo tags attached.
Estimated work requiredAverage

Activities

carl

2016-05-23 15:01

administrator   ~0001252

Last edited: 2016-05-23 15:11

View 4 revisions

Dependencies are fairly hellish.

We need to build (at least) these from source:

  • boost
  • sigc++
  • glibmm
  • gtkmm
  • pangomm
  • cairomm
  • libxml++
  • yasm
  • python (our waf will not run with the shipped python)
  • cmake (shipped version is too old)

Note that pangomm was integrated with gtkmm in this day and age.

gtkmm 2.12.8 requires glibmm 2.14.1: go figure.

carl

2016-06-11 23:03

administrator   ~0001289

Done in a pile of messy commits just after 2.8.9.

Bug History

Date Modified Username Field Change
2016-05-18 15:18 carl New Bug
2016-05-23 15:01 carl Note Added: 0001252
2016-05-23 15:04 carl Note Edited: 0001252 View Revisions
2016-05-23 15:09 carl Note Edited: 0001252 View Revisions
2016-05-23 15:11 carl Note Edited: 0001252 View Revisions
2016-06-07 08:48 carl Status new => acknowledged
2016-06-07 08:48 carl Target Version => 2.9.0
2016-06-11 23:03 carl Note Added: 0001289
2016-06-11 23:03 carl Status acknowledged => resolved
2016-06-11 23:03 carl Resolution open => fixed
2016-06-11 23:03 carl Assigned To => carl
2016-06-14 14:57 carl Fixed in Version => 2.9.0